src/fvm/fvm_nodal.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
fvm_nodal.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
`#include "fvm_group.h"`
`#include "fvm_io_num.h"`
Include dependency graph for fvm_nodal.h:

Go to the source code of this file.

## Functions
fvm_nodal_t * | fvm_nodal_create (const char *name, int dim)
fvm_nodal_t * | fvm_nodal_destroy (fvm_nodal_t *this_nodal)
fvm_nodal_t * | fvm_nodal_copy (const fvm_nodal_t *this_nodal)
void | fvm_nodal_reduce (fvm_nodal_t *this_nodal, int del_vertex_num)
void | fvm_nodal_change_parent_num (fvm_nodal_t *this_nodal, const cs_lnum_t new_parent_num[], int entity_dim)
void | fvm_nodal_remove_parent_num (fvm_nodal_t *this_nodal, int entity_dim)
void | fvm_nodal_init_io_num (fvm_nodal_t *this_nodal, const cs_gnum_t parent_global_numbers[], int entity_dim)
void | fvm_nodal_define_vertex_list (fvm_nodal_t *this_nodal, cs_lnum_t n_vertices, cs_lnum_t parent_vertex_num[])
void | fvm_nodal_set_shared_vertices (fvm_nodal_t *this_nodal, const cs_coord_t vertex_coords[])
cs_coord_t * | fvm_nodal_transfer_vertices (fvm_nodal_t *this_nodal, cs_coord_t vertex_coords[])
void | fvm_nodal_make_vertices_private (fvm_nodal_t *this_nodal)
void | fvm_nodal_set_group_class_set (fvm_nodal_t *this_nodal, const fvm_group_class_set_t *gc_set)
const char * | fvm_nodal_get_name (const fvm_nodal_t *this_nodal)
int | fvm_nodal_get_dim (const fvm_nodal_t *this_nodal)
int | fvm_nodal_get_max_entity_dim (const fvm_nodal_t *this_nodal)
cs_lnum_t | fvm_nodal_get_n_entities (const fvm_nodal_t *this_nodal, int entity_dim)
cs_gnum_t | fvm_nodal_get_n_g_vertices (const fvm_nodal_t *this_nodal)
cs_gnum_t | fvm_nodal_get_n_g_elements (const fvm_nodal_t *this_nodal, fvm_element_t element_type)
cs_lnum_t | fvm_nodal_get_n_elements (const fvm_nodal_t *this_nodal, fvm_element_t element_type)
void | fvm_nodal_get_parent_num (const fvm_nodal_t *this_nodal, int entity_dim, cs_lnum_t parent_num[])
void | fvm_nodal_tesselate (fvm_nodal_t *this_nodal, fvm_element_t type, cs_lnum_t *error_count)
fvm_nodal_t * | fvm_nodal_copy_edges (const char *name, const fvm_nodal_t *this_nodal)
void | fvm_nodal_dump (const fvm_nodal_t *this_nodal)

## Variables
const int | fvm_nodal_n_vertices_element []

## Function Documentation

void fvm_nodal_change_parent_num | ( | fvm_nodal_t * | this_nodal,
|  | const cs_lnum_t | new_parent_num[],
|  | int | entity_dim
| ) |  |

fvm_nodal_t* fvm_nodal_copy | ( | const fvm_nodal_t * | this_nodal | ) |

fvm_nodal_t* fvm_nodal_copy_edges | ( | const char * | name,
|  | const fvm_nodal_t * | this_nodal
| ) |  |

fvm_nodal_t* fvm_nodal_create | ( | const char * | name,
|  | int | dim
| ) |  |

void fvm_nodal_define_vertex_list | ( | fvm_nodal_t * | this_nodal,
|  | cs_lnum_t | n_vertices,
|  | cs_lnum_t | parent_vertex_num[]
| ) |  |

fvm_nodal_t* fvm_nodal_destroy | ( | fvm_nodal_t * | this_nodal | ) |

void fvm_nodal_dump | ( | const fvm_nodal_t * | this_nodal | ) |

int fvm_nodal_get_dim | ( | const fvm_nodal_t * | this_nodal | ) |

int fvm_nodal_get_max_entity_dim | ( | const fvm_nodal_t * | this_nodal | ) |

cs_lnum_t fvm_nodal_get_n_elements | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type
| ) |  |

cs_lnum_t fvm_nodal_get_n_entities | ( | const fvm_nodal_t * | this_nodal,
|  | int | entity_dim
| ) |  |

cs_gnum_t fvm_nodal_get_n_g_elements | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type
| ) |  |

cs_gnum_t fvm_nodal_get_n_g_vertices | ( | const fvm_nodal_t * | this_nodal | ) |

const char* fvm_nodal_get_name | ( | const fvm_nodal_t * | this_nodal | ) |

void fvm_nodal_get_parent_num | ( | const fvm_nodal_t * | this_nodal,
|  | int | entity_dim,
|  | cs_lnum_t | parent_num[]
| ) |  |

void fvm_nodal_init_io_num | ( | fvm_nodal_t * | this_nodal,
|  | const cs_gnum_t | parent_global_numbers[],
|  | int | entity_dim
| ) |  |

void fvm_nodal_make_vertices_private | ( | fvm_nodal_t * | this_nodal | ) |

void fvm_nodal_reduce | ( | fvm_nodal_t * | this_nodal,
|  | int | del_vertex_num
| ) |  |

void fvm_nodal_remove_parent_num | ( | fvm_nodal_t * | this_nodal,
|  | int | entity_dim
| ) |  |

void fvm_nodal_set_group_class_set | ( | fvm_nodal_t * | this_nodal,
|  | const fvm_group_class_set_t * | gc_set
| ) |  |

void fvm_nodal_set_shared_vertices | ( | fvm_nodal_t * | this_nodal,
|  | const cs_coord_t | vertex_coords[]
| ) |  |

void fvm_nodal_tesselate | ( | fvm_nodal_t * | this_nodal,
|  | fvm_element_t | type,
|  | cs_lnum_t * | error_count
| ) |  |

cs_coord_t* fvm_nodal_transfer_vertices | ( | fvm_nodal_t * | this_nodal,
|  | cs_coord_t | vertex_coords[]
| ) |  |

## Variable Documentation

const int fvm_nodal_n_vertices_element[]